package logger

import (
	"os"
	"time"

	// "fmt"
	"github.com/rs/zerolog"
	// "github.com/rs/zerolog/log"
	"CokePlate/config"
)

var (
	logFile *os.File
	err     error
)

var LogDir string

func LogInit() zerolog.Logger {
	LogDir = config.Opt["logger"]["directory"].(string)
	if err := os.MkdirAll(LogDir, 0755); err != nil {
		panic("cannot create log directory: " + LogDir + "(" + err.Error() + ")")
	}
	if logFile, err = os.OpenFile(LogDir+time.Now().Format(time.RFC3339)+".log", os.O_RDWR|os.O_CREATE|os.O_APPEND, 0666); err != nil {
		panic("cannot create log file: " + err.Error())
	}
	multi := zerolog.MultiLevelWriter(zerolog.ConsoleWriter{Out: os.Stderr}, logFile)
	return zerolog.New(multi).With().Timestamp().Logger()
}
